Bug 323677 - Nepomuk Storage constantly crashes spontaneously
Summary: Nepomuk Storage constantly crashes spontaneously
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: storage (show other bugs)
Version: 4.11.0
Platform: Mint (Ubuntu based) Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Nepomuk Bugs Coordination
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-08-18 16:00 UTC by Joshua Cheng
Modified: 2013-09-01 00:09 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.1


Attachments
New crash information added by DrKonqi (4.30 KB, text/plain)
2013-08-20 04:56 UTC, Joshua Cheng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Cheng 2013-08-18 16:00:56 UTC
Application: nepomukstorage (4.11.00)
KDE Platform Version: 4.11.00
Qt Version: 4.8.2
Operating System: Linux 3.2.0-51-generic x86_64
Distribution: Linux Mint 13 Maya

-- Information about the crash:
- What I was doing when the application crashed:
Casually using google chrome although gnucash, kontact, and musique were open too.
- Unusual behavior I noticed:
Nepomuk Storage would crash soon after restarting it.
- Custom settings of the application:
Nepomuk File Indexer and Email Indeser are enabled. Nepomuk indexes everything in my home folder except for source code. It ignores all removable media.  Doesn't backup.  Happens often after I upgraded Kde 4.10 to 4.11

The crash can be reproduced every time.

-- Backtrace:
Application: Nepomuk Storage (nepomukstorage), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f59a0904780 (LWP 2039))]

Thread 2 (Thread 0x7f598de60700 (LWP 2614)):
[KCrash Handler]
#6  0x00007f59a04973a9 in Soprano::BindingSet::value(QString const&) const () from /usr/lib/libsoprano.so.4
#7  0x00007f59a0497449 in Soprano::BindingSet::operator[](QString) const () from /usr/lib/libsoprano.so.4
#8  0x000000000044eb5d in Nepomuk2::Sync::ResourceIdentifier::runIdentification (this=0x7f598de5ef60, uri=...) at ../../../services/storage/syncresourceidentifier.cpp:234
#9  0x000000000044c5c6 in Nepomuk2::ResourceIdentifier::runIdentification (this=0x7f598de5ef60, uri=...) at ../../../services/storage/resourceidentifier.cpp:156
#10 0x000000000044d641 in identify (uri=..., this=0x7f598de5ef60) at ../../../services/storage/syncresourceidentifier.cpp:96
#11 Nepomuk2::Sync::ResourceIdentifier::identify (this=0x7f598de5ef60, uri=...) at ../../../services/storage/syncresourceidentifier.cpp:86
#12 0x000000000044dbe2 in Nepomuk2::Sync::ResourceIdentifier::identify (this=0x7f598de5ef60, uriList=...) at ../../../services/storage/syncresourceidentifier.cpp:109
#13 0x000000000044dc5e in Nepomuk2::Sync::ResourceIdentifier::identifyAll (this=0x7f598de5ef60) at ../../../services/storage/syncresourceidentifier.cpp:82
#14 0x0000000000424f9c in Nepomuk2::DataManagementModel::storeResources (this=0x27b36f0, resources=..., app=..., discardable=true, identificationMode=2380657840, flags=...) at ../../../services/storage/datamanagementmodel.cpp:1537
#15 0x0000000000435a98 in Nepomuk2::DataManagementModel::storeResources (this=0x27b36f0, resources=..., app=..., identificationMode=Nepomuk2::IdentifyNew, flags=..., additionalMetadata=...) at ../../../services/storage/datamanagementmodel.cpp:1296
#16 0x000000000043e4d2 in Nepomuk2::StoreResourcesCommand::runCommand (this=<optimized out>) at ../../../services/storage/datamanagementcommand.h:166
#17 0x000000000043ec4c in Nepomuk2::DataManagementCommand::run (this=0x3b8a710) at ../../../services/storage/datamanagementcommand.cpp:62
#18 0x00007f599ea4d5c2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#19 0x00007f599ea5a09b in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#20 0x00007f599c88ee9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#21 0x00007f599d743ccd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#22 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f59a0904780 (LWP 2039)):
#0  0x00007f599d7368cd in read () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f5999b4b8cf in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5999b10ba4 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5999b10fd6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f5999b11164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f599eb88926 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007f599df82cde in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#7  0x00007f599eb57e62 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007f599eb580b7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007f599eb5d407 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x0000000000414ef5 in Nepomuk2::Service2::initUI<Nepomuk2::Storage> (argc=<optimized out>, argv=<optimized out>, aboutData=...) at ../../../libnepomukcore/service/service2.h:162
#11 0x000000000041267a in main (argc=1, argv=0x7fffd8670798) at ../../../services/storage/storage.cpp:337

Reported using DrKonqi
Comment 1 Joshua Cheng 2013-08-20 04:56:10 UTC
Created attachment 81796 [details]
New crash information added by DrKonqi

nepomukstorage (4.11.00) on KDE Platform 4.11.00 using Qt 4.8.2

- What I was doing when the application crashed:
As before and as usual, I was using Google Chrome. Kontact was also open.
- Unusual behavior I noticed:
Nothing really.
- Custom settings of the application:
Same as before.

-- Backtrace (Reduced):
#6  0x00007ffa153dd3a9 in Soprano::BindingSet::value(QString const&) const () from /usr/lib/libsoprano.so.4
#7  0x00007ffa153dd449 in Soprano::BindingSet::operator[](QString) const () from /usr/lib/libsoprano.so.4
#8  0x000000000044eb5d in Nepomuk2::Sync::ResourceIdentifier::runIdentification (this=0x7ffa02d9ff60, uri=...) at ../../../services/storage/syncresourceidentifier.cpp:234
#9  0x000000000044c5c6 in Nepomuk2::ResourceIdentifier::runIdentification (this=0x7ffa02d9ff60, uri=...) at ../../../services/storage/resourceidentifier.cpp:156
#10 0x000000000044d641 in identify (uri=..., this=0x7ffa02d9ff60) at ../../../services/storage/syncresourceidentifier.cpp:96
Comment 2 Simeon Bird 2013-08-28 00:59:11 UTC
Git commit bd71b3ed1eb810aef550eb733b2f61ada3b17e0a by Simeon Bird.
Committed on 27/08/2013 at 23:54.
Pushed by sbird into branch 'KDE/4.11'.

Storage Service: Check that a list is not empty before taking its first
element.
FIXED-IN: 4.11.1
REVIEW: 112323

M  +6    -3    services/storage/syncresourceidentifier.cpp

http://commits.kde.org/nepomuk-core/bd71b3ed1eb810aef550eb733b2f61ada3b17e0a